%define myplugdir %{_libdir}/mysql/plugin/

Name:           mysqludf_xql
Version:        0.9.7
Release:        11%{?dist}
Summary:        MySQL UDF library for XML output

Group:          Applications/Databases
License:        LGPLv2+
URL:            http://www.mysqludf.org/lib_mysqludf_xql/
Source0:        http://www.mysqludf.org/lib_mysqludf_xql/lib_%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mysql-devel libxml2-devel
Requires:       mysql-server

%description
The lib_mysqludf_xql library provides an array of functions, which can be used 
to create XML output directly from MySQL using a single SQL query. 

%prep
%setup -q -n lib_%{name}-%{version}
sed -i 's/\r//' API COPYING installdb.sql

%build
%configure --libdir=%{myplugdir} --with-libxml2=%{_libdir}/xml2Conf.sh \
           --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{myplugdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc API AUTHORS ChangeLog COPYING NEWS README installdb.sql uninstalldb.sql
%{myplugdir}/lib_mysqludf_xql.so


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun  4 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-10
- update myplugdir for F-11 and mysql-5.1. Remove ldconfig.
- initial import

* Fri May  8 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-9
- use --disable-static

* Fri May  8 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-8
- use a define for the plugin location, 
  it changes from mysql 5.0 [F10] to 5.1 [F11]

* Fri May  8 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-7
- avoid patching and reconfiguring

* Sun Apr 19 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-6
- ldconfig also in postun
- remove explicit gcc-c++

* Sun Apr 19 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-5
- file EOL encoding for some docs

* Wed Apr 15 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-4
- require mysql-server instead of just mysql
- fix buildrequires
- hardcode and use mysql libdir

* Thu Apr  9 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-2
- Inital packaging
